//限制不能为负数
function CompareNumber(Number,objName,filedName)
{
	var obj = document.all(objName);
	if (obj.value > Number)
	{
		alert('字段：【' + filedName + '】不能大于'+Number+'！');
		obj.focus();
		obj.select();
		return false;
	}
	return true;
}

//限制不能为负数
function IsNegative(objName,filedName)
{
	var obj = document.all(objName);
	if (obj.value < 0)
	{
		alert('字段：【' + filedName + "】不能小于0！");
		obj.focus();
		obj.select();
		return false;
	}
	return true;
}

//将输入转换成日期
function ConvertToDateTime(obj)
{
	if (trim(obj.value) == "")
	{
		return true;
	}
	var sdate = obj.value;
	var tempobj = obj;
	var year;
	var month;
	var day;
	
	var hour;
	var minute;
	var second;
	
	//如果为完全日期格式
	if (sdate.length == 19)
	{
		return isDateTime(obj);
	}
	//如果为简化日期格式
	
	if (obj.value.length == 12 || obj.value.length == 14)
	{
		//6位简化日期格式转换
		if (obj.value.length == 12)
		{
			//确定年范围
			year = sdate.substr(0,2);		//两位年
			if (year.substr(0,1) != "0")
			{
				if (year > 20) {year = 1900 + parseInt(year);}
				if (year < 20) {year = 2000 + parseInt(year);}
			}
			else
			{
				year = 2000 + parseInt(year.substr(1,1));
			}
			
			//确定月范围
			month = sdate.substr(2,2)
			//确定日范围
			day = sdate.substr(4,2)
			
			hour = sdate.substr(6,2);
			minute = sdate.substr(8,2);
			second = sdate.substr(10,2);
			obj.value = year + "-" + month + "-" + day+" "+hour+":"+minute+":"+second
		}
		
		//8位简化日期格式转换
		if (obj.value.length == 14)
		{
			//判断是否完整日期格式
			var datePat = /\d{4}-\d{1,2}-\d{1,2}/;		//日期验证正则表达式
			if (datePat.test(obj.value.substr(0,8)))
			{
				return true;
			}
			//确定年范围
			year = sdate.substr(0,4)
			if (parseInt(year) < 1900)
			{
				alert('年份不能小于1900年！');
				SelAll(obj);
				return false
			}
			//确定月范围
			month = sdate.substr(4,2)
			//确定日范围
			day = sdate.substr(6,2)
			
			hour = sdate.substr(8,2);
			minute = sdate.substr(10,2);
			second = sdate.substr(12,2);
			obj.value = year + "-" + month + "-" + day+" "+hour+":"+minute+":"+second
		}
	}
	else
	{
		//其他情况
		alert('日期输入格式不正确！\n输入格式:2003年08月25日 23点06分26秒（030825230626 或 20030825230626）');
		SelAll(obj);
		return false;
	}
	//执行日期校验
	if (isDateTime(obj))
	{
		return true;
	}
	else
	{
		obj.value = sdate;
		return false;
	}
}


//验证日期
function isDateTime(obj)
{ 
    var timeStr = obj.value.substr(11,8)
    var timePat = /^\d{1,2}:\d{1,2}:\d{1,2}$/;
    if (!timePat.test(timeStr))
	{ 
		alert("时间输入格式不正确！");
		SelAll(obj);
		return false; 
	}
	
	hour = timeStr.split(':')[0];
	minute = timeStr.split(':')[1];
	second = timeStr.split(':')[2];
	if(hour < 0 || hour >24)
	{
	    alert("小时超范围！");
		SelAll(obj);
		return false; 
	}
	if(minute < 0 || minute >59)
	{
	    alert("分超范围！");
		SelAll(obj);
		return false; 
	}
	if(second < 0 || second >59)
	{
	    alert("秒超范围！");
		SelAll(obj);
		return false; 
	}
    
	var dateStr = obj.value.substr(0,10);
	var datePat = /^\d{4}-\d{1,2}-\d{1,2}$/;		//日期验证正则表达式

	if (!datePat.test(dateStr))
	{ 
		alert("日期输入格式不正确！");
		SelAll(obj);
		return false; 
	}
	
	year = dateStr.split('-')[0];
	month = dateStr.split('-')[1];
	//统一月份格式
	if(month.length = 2)
	{
		if(month.substr(0,1) == "0"){month = month.substr(1,1)}
	}
	day = dateStr.split('-')[2];
	//统一日格式
	if(day.length = 2)
	{
		if(day.substr(0,1) == "0"){day = day.substr(1,1)}
	}
	//进行年月日范围验证
	if (month < 1 || month > 12)
	{ 
		// 检查月范围 
		alert("月份超范围！");
		SelAll(obj);
		return false; 
	} 

	if (day < 1 || day > 31)
	{ 
		// 检查日范围
		alert("日期超范围！"); 
		SelAll(obj);
		return false; 
	} 

	if ((month==4 || month==6 || month==9 || month==11) && day==31)
	{ 
		// 检查月范围
		alert(month + "月份天数不能超过30天！");
		SelAll(obj);
		return false; 
	} 

	if (month == 2)
	{ 
		//检查闰年的2月份天数
		var isleap = (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0)); 
		if (day > 29 || (day==29 && !isleap))
		{ 
			alert(year + "年2月份不能大于28天！");
			SelAll(obj);
			return false; 
		} 
	}
	return true;
}

<!--
//输入拼音简码时,只允许输入字母,而非字母的字符将被限制输入.
function IsLetter()   
{
	var Ascii = window.event.keyCode;
	if (!((Ascii>=65 && Ascii<=90) || (Ascii>=97 && Ascii<=122)))
	{
			window.event.keyCode = 0;
	}				
}	

//初始化焦点对象
function InitFocus()
{
	var obj;
	var hidObj = document.parentWindow.parent.document.all("hidFocus");
	if (hidObj.value != "")
	{
		obj = window.document.all(hidObj.value);
		if (obj != null)
		{
			obj.focus();
			obj.select();
		}
	}
}

//下拉框空格键翻页
function DropDownKeyDown(control)
{
	if(event.keyCode == 32||event.keyCode==229)
	{
		var count = control.options.length -1;
		if(count == -1) return;
		if(control.options.selectedIndex < count)
		{
			control.options.selectedIndex++;
		}
		else
		{
			control.options.selectedIndex=0;
		}
	}
}


//键盘事件控制
function keyboardCtrl(obj)
{
	if (event.keyCode == 32)
	{
		if (obj.selectedIndex == obj.length-1)
		{
			obj.selectedIndex = 0;
			obj.options[0].selected = true;
		}
		else
		{
			obj.selectedIndex = obj.selectedIndex + 1;
			obj.options[obj.selectedIndex].selected = true;
		}
	}
	else
	{
		return true;
	}
}//保存获得焦点对象的名称
function SaveFocus(obj)
{
	var hidObj = document.parentWindow.parent.document.all("hidFocus");
	hidObj.value = obj.name;
}
//发送TAB键盘事件

//发送TAB键盘事件
function SendTAB()
{
  if(event.srcElement.type=='select-one')
{
   //keyboardCtrl(event.srcElement);
   DropDownKeyDown(event.srcElement);
}

SendTAB2();


}


function SendTAB2()
{
	
	if(event.keyCode==13 && event.srcElement.type!='button' && event.srcElement.type!='submit' && event.srcElement.type!='reset' && event.srcElement.type!='')
			event.keyCode=9;
	
	return true;
}

//function SendTAB()
//{
//	var keyCode = window.event.keyCode;
//	if(keyCode == 13)
//	{
//		window.event.keyCode=9;
//	}
//	return true;
//}
//限制只能输入数字
function LimitNumber(obj)
{
	obj.maxLength = 20;
	if (window.event.keyCode == 45){
		window.event.keyCode = 0;}
	if (!(((window.event.keyCode >= 48) && (window.event.keyCode <= 57))
	|| (window.event.keyCode == 13) || (window.event.keyCode == 46)
	|| (window.event.keyCode == 45)))
	{
		window.event.keyCode = 0;
	}
}




//将输入转换成日期
function ConvertToDate(obj)
{
	if (trim(obj.value) == "")
	{
		return true;
	}
	var sdate = obj.value;
	var year;
	var month;
	var day;
	
	//如果为完全日期格式
	if (sdate.length == 10 || sdate.length == 9)
	{
		return isDate(obj);
	}
	//如果为简化日期格式
	if (obj.value.length == 6 || obj.value.length == 8)
	{
		//6位简化日期格式转换
		if (obj.value.length == 6)
		{
			//确定年范围
			year = sdate.substr(0,2);		//两位年
			if (year.substr(0,1) != "0")
			{
				if (year > 20) {year = 1900 + parseInt(year);}
				if (year < 20) {year = 2000 + parseInt(year);}
			}
			else
			{
				year = 2000 + parseInt(year.substr(1,1));
			}
			
			//确定月范围
			month = sdate.substr(2,2)
			//确定日范围
			day = sdate.substr(4,2)
			obj.value = year + "-" + month + "-" + day
		}
		
		//8位简化日期格式转换
		if (obj.value.length == 8)
		{
			//判断是否完整日期格式
			var datePat = /\d{4}-\d{1,2}-\d{1,2}/;		//日期验证正则表达式
			if (datePat.test(obj.value))
			{
				return true;
			}
			//确定年范围
			year = sdate.substr(0,4)
			if (parseInt(year) < 1900)
			{
				alert('年份不能小于1900年！');
				SelAll(obj);
				return false
			}
			//确定月范围
			month = sdate.substr(4,2)
			//确定日范围
			day = sdate.substr(6,2)
			obj.value = year + "-" + month + "-" + day
		}
	}
	else
	{
		//其他情况
		alert('日期输入格式不正确！\n日期输入格式范例:2003年8月25日（030825 或 20030825）');
		SelAll(obj);
		return false;
	}
	//执行日期校验
	if (isDate(obj))
	{
		return true;
	}
	else
	{
		obj.value = sdate;
		return false;
	}
}


//验证日期
function isDate(obj)
{ 
	var dateStr = obj.value;
	var datePat = /^\d{4}-\d{1,2}-\d{1,2}$/;		//日期验证正则表达式

	if (!datePat.test(dateStr))
	{ 
		alert("日期输入格式不正确！");
		SelAll(obj);
		return false; 
	}
	
	year = dateStr.split('-')[0];
	month = dateStr.split('-')[1];
	//统一月份格式
	if(month.length = 2)
	{
		if(month.substr(0,1) == "0"){month = month.substr(1,1)}
	}
	day = dateStr.split('-')[2];
	//统一日格式
	if(day.length = 2)
	{
		if(day.substr(0,1) == "0"){day = day.substr(1,1)}
	}
	//进行年月日范围验证
	if (month < 1 || month > 12)
	{ 
		// 检查月范围 
		alert("月份超范围！");
		SelAll(obj);
		return false; 
	} 

	if (day < 1 || day > 31)
	{ 
		// 检查日范围
		alert("日期超范围！"); 
		SelAll(obj);
		return false; 
	} 

	if ((month==4 || month==6 || month==9 || month==11) && day==31)
	{ 
		// 检查月范围
		alert(month + "月份天数不能超过30天！");
		SelAll(obj);
		return false; 
	} 

	if (month == 2)
	{ 
		//检查闰年的2月份天数
		var isleap = (year % 4 == 0 && (year % 100 != 0 || year % 400 == 0)); 
		if (day > 29 || (day==29 && !isleap))
		{ 
			alert(year + "年2月份不能大于28天！");
			SelAll(obj);
			return false; 
		} 
	}
	return true;
}



//将对象设置焦点并突出显示
function SelAll(obj)
{
	obj.focus();
	obj.select();
}
//删除字符串两端的空格
function trim(str)
{
	for(var  i = 0  ;  i<str.length  &&  str.charAt(i)==" "  ;  i++  )  ;
	for(var  j = str.length;  j>0  &&  str.charAt(j-1)==" "  ;  j--)  ;
	if(i>j)  return  "";  
	return  str.substring(i,j);  
}
//限制不能为空
function IsNotEmpty(objName,filedName)
{

	var obj = document.all(objName);
	if (trim(obj.value) == "")
	{
	    alert('【' + filedName + "】不能为空！");
		obj.focus();
		obj.select();
		return false;
	}
	return true;
}

//验证字符串长度
function ValidateLength(objName,length,filedName)
{
	try
	{
	
	
	var obj = document.all(objName);
	if (obj.value.lenB() > length)
	{
		alert('字段【' + filedName + "】长度不能超过" + length + "个字符！\n" + "注：一个汉字为两个字符长度");
		obj.focus();
		obj.select();
		return false;
	}
	}
	catch(e)
	{}
	return true;
}

//验证是否为数字
function IsNumber(objName,filedName)
{
	var obj = document.all(objName);
	if (trim(obj.value) == "")
	{
		obj.value = "0";
		return true;
	}
	if (/^(-?\d+)(\.\d+)?$/.test(obj.value))
		return true;
	else
		alert('字段：【' + filedName + "】必须为数值类型！");
		obj.focus();
		obj.select();
		return false;
}
//比较两个日期的大小(允许其中一个为空)
function CompareDateEmpty(beginObjName,beginFiledName,endObjName,endFiledName,conditionStr)
{
	if(document.getElementById(beginObjName).value != "" && document.getElementById(endObjName).value != "")
	{
		CompareDate(beginObjName,beginFiledName,endObjName,endFiledName,conditionStr)
	}
}

//比较两个日期的大小
function CompareDate(beginObjName,beginFiledName,endObjName,endFiledName,conditionStr)
{
	var beginObj = document.all(beginObjName);
	var endObj = document.all(endObjName);
	var beginStr = beginObj.value.split('-');
	var endStr = endObj.value.split('-');
	var beginDate = new Date(beginStr[0],beginStr[1]-1,beginStr[2]);
	var endDate = new Date(endStr[0],endStr[1]-1,endStr[2]);
	switch (conditionStr)
	{
		case ">":
			if (!(beginDate > endDate))
			{
				alert(beginFiledName + "必须大于" + endFiledName + "！");
				beginObj.focus();
				beginObj.select();
				return false;
			}
			break;
		case ">=":
			if (!(beginDate >= endDate))
			{
				alert(beginFiledName + "必须大或等于" + endFiledName + "！");
				beginObj.focus();
				beginObj.select();
				return false;
			}
			break;
		case "<":
			if (!(beginDate < endDate))
			{
				alert(beginFiledName + "必须小于" + endFiledName + "！");
				beginObj.focus();
				beginObj.select();
				return false;
			}
			break;
		case "<=":
			if (!(beginDate <= endDate))
			{
				alert(beginFiledName + "必须小或等于" + endFiledName + "！");
				beginObj.focus();
				beginObj.select();
				return false;
			}
			break;
		default:
			alert("日期比较条件不正确！");
			return false;
			break;
	}
	return true;
}
			//与当前日期比较
function compareToNow(objName,objDesc)
{
		var obj = document.all(objName);
		if(obj.value == "")
		{
			return true;
		}
		var objStr = obj.value.split('-');
		var objDate = new Date(objStr[0],objStr[1]-1,objStr[2]);
		var now = new Date();
		if(objDate > now)
		{
			alert(objDesc + "不能大于当前日期!");
			obj.focus();
			obj.select();
			return false;			
		}
		return true;
}

String.prototype.lenB = function()
{
	return this.replace(/[^\x00-\xff]/g,"**").length;
}

function sendTab()
{
SendTAB();
}



//检验年
function CheckNian(obj)
{
	var now = new Date();
	var value = obj.value;
	var year;
	
	if (value.length ==0)obj.value = now.getFullYear();
	
	if (value.length ==4) 
	{
		if (parseInt(value) >2051 ||parseInt(value) <1900)
		{
			alert("输入的年必须在1900到2050之间");
			obj.select();
			//obj.focus();
			return false;
			
			
		}
	}
	
	
	if (value.length ==1 || value.length == 3 ||  value.length > 4 )
	{

		alert("请输入4位或2位");
		obj.select();
		//obj.focus();
		return false;
	}
	
	if (value.length ==2)
	{
		year = value.substr(0,2);		//两位年
		if (year.substr(0,1) != "0")
		{
			if (year > 50) {year = 1900 + parseInt(year);}
			if (year <= 50) {year = 2000 + parseInt(year);}
		}
		else
		{
			year = 2000 + parseInt(year.substr(1,1));
		}
		obj.value = year ;
	}	
	return true;		
}

//验证6位数字
function CheckSixNumber(obj,text)
{
	var jxfd = obj.value;
	var flag = true;
	if(jxfd.match(/^\d{6}$/))
	{
		var year = parseInt(jxfd.substr(0,2),10);
		var month = parseInt(jxfd.substr(2,2),10);
		var day = parseInt(jxfd.substr(4,2),10);
		
		if(month > 11)
		{
			alert("对不起！您输入月份超过范围，请重新输入！");	
			flag = false;		
		}
		if(day > 30) 
		{
			alert("对不起！您输入天数超过范围，请重新输入！");
			flag = false;	
		}
	}
	else
	{
		flag = false;
		alert("对不起！"+text+"不等于6位，请重新输入！");
	}
		if(!flag)
		{
			obj.focus();
			obj.select();
			
			event.returnValue = false;
		}
		return flag;
	
}

	
/*	ForDight(Dight,How):数值格式化函数
	Dight要格式化的数字
	How要保留的小数位数。 */
function  ForDight(Dight,How)
{
	Dight  = Math.round(Dight*Math.pow(10,How))/Math.pow(10,How);
	return Dight;
}

//-->
